#include ONCE "window9.bi"

sub PasteEditor ( iGadget as Long , sText as string , param as Integer = -1) export
	
	dim as GtkTextBuffer ptr buffer
	
	buffer = gtk_text_view_get_buffer( GTK_TEXT_VIEW( gadgetid(iGadget) ))
	
	gtk_text_buffer_insert_at_cursor(buffer , strptr(sText), len(sText))	

End Sub